## golang-github-libgit2-git2go 34.0.0

=== Makefile ===
TEST_ARGS ?= --count=1

default: test


generate: static-build/install/lib/libgit2.a
	go generate --tags "static" ./...

# System library
# ==============
# This uses whatever version of libgit2 can be found in the system.
test:
	go run script/check-MakeGitError-thread-lock.go
	go test $(TEST_ARGS) ./...

install:
	go install ./...

# Bundled dynamic library
# =======================
# In order to avoid having to manipulate `git_dynamic.go`, which would prevent
# the system-wide libgit2.so from being used in a sort of ergonomic way, this
# instead moves the complexity of overriding the paths so that the built
# libraries can be found by the build and tests.
.PHONY: build-libgit2-dynamic
build-libgit2-dynamic:
	./script/build-libgit2-dynamic.sh

dynamic-build/install/lib/libgit2.so:
	./script/build-libgit2-dynamic.sh

test-dynamic: dynamic-build/install/lib/libgit2.so
	PKG_CONFIG_PATH=dynamic-build/install/lib/pkgconfig \
			go run script/check-MakeGitError-thread-lock.go
	PKG_CONFIG_PATH=dynamic-build/install/lib/pkgconfig \
			LD_LIBRARY_PATH=dynamic-build/install/lib \
			go test $(TEST_ARGS) ./...

install-dynamic: dynamic-build/install/lib/libgit2.so
	PKG_CONFIG_PATH=dynamic-build/install/lib/pkgconfig \
			go install ./...

# Bundled static library
# ======================
# This is mostly used in tests, but can also be used to provide a
# statically-linked library with the bundled version of libgit2.
.PHONY: build-libgit2-static
build-libgit2-static:
	./script/build-libgit2-static.sh

static-build/install/lib/libgit2.a:
	./script/build-libgit2-static.sh

test-static: static-build/install/lib/libgit2.a
	go run script/check-MakeGitError-thread-lock.go
	go test --tags "static" $(TEST_ARGS) ./...

install-static: static-build/install/lib/libgit2.a
	go install --tags "static" ./...

## golang-github-libgit2-git2go 33.0.9

=== debian/changelog ===
golang-github-libgit2-git2go (33.0.9-2) unstable; urgency=medium

  * Source-only upload for migration to testing

 -- Pirate Praveen <praveen@debian.org>  Mon, 09 May 2022 18:10:11 +0530

golang-github-libgit2-git2go (33.0.9-1) experimental; urgency=medium

  * Remove version from source package
  * New upstream version 33.0.9
  * Update binary package name and import path to match go.mod

 -- Pirate Praveen <praveen@debian.org>  Tue, 05 Apr 2022 15:35:47 +0530

golang-github-libgit2-git2go (32.1.9-1) experimental; urgency=medium

  * New upstream version 32.1.9

 -- Pirate Praveen <praveen@debian.org>  Wed, 16 Mar 2022 13:27:25 +0530

golang-github-libgit2-git2go-v32 (32.1.4-2) experimental; urgency=medium

  * Rebuild with newer embedtls

 -- Pirate Praveen <praveen@debian.org>  Wed, 16 Mar 2022 01:17:13 +0530

golang-github-libgit2-git2go-v32 (32.1.4-1) experimental; urgency=medium

  * Rename package to match go.mod
  * New upstream version 32.1.4
  * Update XS-Go-Import-Path: github.com/libgit2/git2go/v32
  * Update minimum version of libgit2
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Sat, 11 Dec 2021 21:29:42 +0530

golang-gopkg-libgit2-git2go.v31 (31.4.3-4) unstable; urgency=medium

  * Reupload to unstable
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Sun, 29 Aug 2021 22:18:38 +0530

golang-gopkg-libgit2-git2go.v31 (31.4.3-3) experimental; urgency=medium

  * Switch to github.com/libgit2/git2go/v31 as import path (Closes: #979315)
    Its only reverse build dependency (gitaly) already switched to new path.

 -- Pirate Praveen <praveen@debian.org>  Mon, 08 Mar 2021 15:59:04 +0530

golang-gopkg-libgit2-git2go.v31 (31.4.3-2) unstable; urgency=medium

  * Upload to unstable.
  * Source-only upload for migration.
  * Bump debhelper-compat to 13

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 14 Dec 2020 18:44:29 +0530

golang-gopkg-libgit2-git2go.v31 (31.4.3-1) experimental; urgency=medium

  * New upstream version 31.4.3
    - Rename the source and binary packages (from v30 to v31)
  * Tighten dependency on libgit2

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 08 Dec 2020 17:22:41 +0530

golang-gopkg-libgit2-git2go.v30 (30.3.2-2) unstable; urgency=medium

  * Source-only upload for migration.
  * Bump Standards-Version to 4.5.

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 08 Dec 2020 16:48:33 +0530

golang-gopkg-libgit2-git2go.v30 (30.3.2-1) unstable; urgency=medium

  * New upstream version 30.3.2 (Closes: #976522)
    - Rename the source and binary packages (from v28 to v30)
  * Refresh d/patches
  * Update dependencies
    - Tighten dependency on libgit2
    - Add new dependencies, golang-golang-x-crypto-dev and
      golang-github-google-shlex-dev, and git.

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 07 Dec 2020 13:55:43 +0530

golang-gopkg-libgit2-git2go.v28 (0.28.5-1) unstable; urgency=medium

  * New upstream version 0.28.5
  * Drop patch as it is merged upstream

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 29 Feb 2020 18:13:29 +0530

golang-gopkg-libgit2-git2go.v28 (0.28.4-1) unstable; urgency=medium

  * New upstream version 0.28.4
  * Update d/warch for doing sane updates
  * Fix d/control wrt cme
  * Refresh patches

 -- Utkarsh Gupta <utkarsh@debian.org>  Sun, 16 Feb 2020 21:34:17 +0530

golang-gopkg-libgit2-git2go.v28 (0.28+git20190813.37e5b53-3) unstable; urgency=medium

  * Reupload to unstable (libgit2 0.28 is in unstable now)
  * Drop compat file, rely on debhelper-compat
  * Bump Standards-Version to 4.4.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Tue, 03 Dec 2019 18:12:36 +0530

golang-gopkg-libgit2-git2go.v28 (0.28+git20190813.37e5b53-2) experimental; urgency=medium

  * Team upload
  * Fix XS-Go-Import-Path

 -- Sruthi Chandran <srud@debian.org>  Thu, 26 Sep 2019 15:17:11 +0530

golang-gopkg-libgit2-git2go.v28 (0.28+git20190813.37e5b53-1) experimental; urgency=medium

  * Team upload
  * New upstream version 0.28+git20190813.37e5b53 (Closes: #931697)
      + Rename the source and binary packages (from v27 to v28)
      + Patch for fixing invalid version guard (from v27 to v28)
  * debian: Bump up the debhelper version to 12
  * d/control: Bump up the policy standard version to 4.4.0
  * d/changelog: Fix lintian P: file-contains-trailing-whitespace
  * d/watch: Add watch file

 -- Jongmin Kim <jmkim@pukyong.ac.kr>  Sat, 17 Aug 2019 17:22:19 +0900

golang-gopkg-libgit2-git2go.v27 (0.27+git20180529.9abc050-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Thu, 12 Jul 2018 09:51:48 +0530

golang-gopkg-libgit2-git2go.v27 (0.27+git20180529.9abc050-1) experimental; urgency=medium

  * New upstream version 0.27+git20180529.9abc050 (Closes: #898890)
  * All tests are passing (Closes: #897522)
  * Add myself to uploaders
  * Use XS-Go-Import-Path

 -- Pirate Praveen <praveen@debian.org>  Sat, 16 Jun 2018 12:46:30 +0530

golang-gopkg-libgit2-git2go.v26 (0.26+git20170903.0.eb0bf21-1) sid; urgency=medium

  [ Michael Stapelberg ]
  * gbp.conf: set debian-branch
  * update debian/gitlab-ci.yml (using salsa.debian.org/go-team/ci/cmd/ci)

  [ Maximiliano Curia ]
  * Prepare v26 version (Closes: 876707)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 03 Mar 2018 11:29:13 +0100

golang-git2go (0.24+git20161003.0.2209188-1) unstable; urgency=medium

  * New upstream release.
  * Use debhelper 10
  * Set the minimum version of the libgit2 required
  * Bump Standards-Version to 4.0.1.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 22 Aug 2017 13:10:35 +0200

golang-git2go (0.0~git20150731.0.ed62fda-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add debian/patches/0001-disable-remote-tests.patch (Closes: #792218)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 03 Aug 2015 09:05:32 +0200

golang-git2go (0.0~git20150623-1) unstable; urgency=medium

  * Initial release.



=== debian/control ===
Source: golang-github-libgit2-git2go
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Pirate Praveen <praveen@debian.org>,
           Utkarsh Gupta <utkarsh@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               golang-any,
               dh-golang,
               pkg-config,
               golang-golang-x-crypto-dev,
               golang-github-google-shlex-dev,
               git,
               libgit2-dev (>= 1.3~)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-libgit2-git2go.git
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-libgit2-git2go
Homepage: https://github.com/libgit2/git2go
XS-Go-Import-Path: github.com/libgit2/git2go/v33
Rules-Requires-Root: no

Package: golang-github-libgit2-git2go-v33-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pkg-config,
         libgit2-dev (>= 1.3~)
Description: Go bindings for libgit2
 libgit2 is a portable, pure C implementation of the Git distributed version
 control system core methods provided as a re-entrant link-able library with a
 solid API.
 .
 This package provides the bindings of libgit2 for the Go programming language.

## golang-github-libgit2-git2go 34.0.0

=== debian/changelog ===
golang-github-libgit2-git2go (34.0.0-3) unstable; urgency=medium

  * Team upload.
  * Add build-depend on tzdata (Closes: #1027909)

 -- Timo Röhling <roehling@debian.org>  Thu, 05 Jan 2023 20:06:38 +0100

golang-github-libgit2-git2go (34.0.0-2) unstable; urgency=medium

  * Team upload.
  * Source only upload. (Closes: #1021265)

 -- Timo Röhling <roehling@debian.org>  Sat, 15 Oct 2022 21:50:40 +0200

golang-github-libgit2-git2go (34.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 34.0.0
    - Compatible with the latest libgit2-1.5
  * Bump Standards-Version to 4.6.1
  * Update binary package name and import path to match go.mod

 -- Timo Röhling <roehling@debian.org>  Fri, 07 Oct 2022 22:08:39 +0200

=== debian/control ===
--- 
+++ 
@@ -14,20 +14,21 @@
                golang-golang-x-crypto-dev,
                golang-github-google-shlex-dev,
                git,
-               libgit2-dev (>= 1.3~)
-Standards-Version: 4.6.0
+	       tzdata,
+               libgit2-dev (>= 1.5~)
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-libgit2-git2go.git
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-libgit2-git2go
 Homepage: https://github.com/libgit2/git2go
-XS-Go-Import-Path: github.com/libgit2/git2go/v33
+XS-Go-Import-Path: github.com/libgit2/git2go/v34
 Rules-Requires-Root: no
 
-Package: golang-github-libgit2-git2go-v33-dev
+Package: golang-github-libgit2-git2go-v34-dev
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          pkg-config,
-         libgit2-dev (>= 1.3~)
+         libgit2-dev (>= 1.5~)
 Description: Go bindings for libgit2
  libgit2 is a portable, pure C implementation of the Git distributed version
  control system core methods provided as a re-entrant link-able library with a

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-libgit2-git2go-v32-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/libgit2/git2go/tags .*/v?(\d\S*)\.tar\.gz
